Package org.apache.solr.client.solrj

## Class StreamingResponseCallback

- java.lang.Object
- - org.apache.solr.client.solrj.StreamingResponseCallback

    public abstract class StreamingResponseCallback
    extends Object

A callback interface for streaming response

Since:
  solr 4.0

### Constructor Summary

Constructors
`StreamingResponseCallback()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `streamDocListInfo​(long numFound, long start, Float maxScore)`
`abstract void` `streamSolrDocument​(SolrDocument doc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamingResponseCallback

    public StreamingResponseCallback()

### Method Detail

#### streamSolrDocument

    public abstract void streamSolrDocument​(SolrDocument doc)

#### streamDocListInfo

    public abstract void streamDocListInfo​(long numFound,
                                           long start,
                                           Float maxScore)